%define __libtoolize    /bin/true
%define cvsdate		20050216
%define version         0.%cvsdate
%define release         %mkrel 6


%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %mklibname yzis %lib_major

Summary: 		Vim-style editor with multiple frontends
Name: 			yzis
Version: 		%version
Release:                %release
Source: 		%{name}_%{cvsdate}-1.tar.bz2
Group: 			Graphical desktop/KDE
License: 		GPL
URL: 			ftp://download.yzis.org/yzis/releases
BuildRoot: 		%_tmppath/%name-%version

BuildRequires: 		kdelibs-devel 
BuildRequires:          qt3-devel 
BuildRequires:          arts 
BuildRequires:          jpeg-devel 
BuildRequires:          png-devel 
BuildRequires:          kdebase-devel
BuildRequires:          libmagic-devel
Buildrequires:		arts-devel 
BuildRequires:          lua-devel

Requires: 		arts
Requires:               kdebase

%description
Yzis a brand new editor inspired by vim. Yzis aims to be a powerful, fast
editor with all of Vim's features and hopefully, at some point, more.

In Yzis, the core editing functionality is placed in a library, and
interfaces are written on top of that. As of now, there are frontends for
KDE and ncurses.

By using the powerful scripting language Lua, you can also easily extend
yzis' functionality with scripts.

%package -n %lib_name-devel
Summary:	Header files for yzis
Group:		Development/KDE and Qt
Requires:	%lib_name = %version-%release

%description -n %lib_name-devel
Headers files for yzis program.



%package -n %lib_name
Summary:	Librarie files for yzis
Group:		Development/KDE and Qt

%description -n %lib_name
Libraries files for yzis.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n%{name}-%cvsdate


%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }



CFLAGS="%optflags" CXXFLAGS="%optflags" \
	%configure --datadir=%_datadir \
        		--disable-rpath \
        		--disable-debug


%make

%install
%makeinstall 


install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Text Tools" $RPM_BUILD_ROOT%{_datadir}/applnk/Editors/kyzis.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/*.so.*
%_libdir/*.la


%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/*.so



%files -f %name.lang
%defattr(-,root,root)
%doc README RELEASE TODO HACKING BUGS ChangeLog
%doc AUTHORS   
%_bindir/*

%_menudir/*

%_datadir/applnk/Editors/kyzis.desktop

%dir %_datadir/yzis/scripts/
%dir %_datadir/yzis/scripts/indent/
%_datadir/yzis/scripts/indent/*.lua


%dir %_datadir/apps/kyzis/
%_datadir/apps/kyzis/*.rc
%dir %_datadir/apps/kyzispart/
%_datadir/apps/kyzispart/*.rc

%dir %_datadir/yzis/
%_datadir/yzis/*.mime
%dir %_datadir/yzis/scripts/
%_datadir/yzis/scripts/*.lua


%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/kyzis.kcfg

%_datadir/icons/crystalsvg/128x128/apps/kyzis.png
%_datadir/icons/crystalsvg/16x16/apps/kyzis.png
%_datadir/icons/crystalsvg/32x32/apps/kyzis.png
%_datadir/icons/crystalsvg/64x64/apps/kyzis.png

%_datadir/services/kyzispart.desktop




%dir %_datadir/yzis/syntax/
%_datadir/yzis/syntax/*.xml
%_datadir/yzis/syntax/*.dtd
%_datadir/yzis/syntax/*.template



%changelog
* Thu Jul 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.20050216-6
- Fix requires
- Fix compile on x86_64

* Wed Jun 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.20050216-5mdk
- Undo previous changes

* Wed Jun 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.20050216-4mdk
- Fix file section

* Wed Jun 8 2005 Austin Acton <austin@mandriva.org> 0.20050216-3mdk
- make the summary and descriptions informative

* Fri May 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.20050216-2mdk
- Rebuild
- Fix BuildRequires

* Wed Feb 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20050216-1mdk
- New snapshot

* Sat Sep 04 2004 Michael Scherer <misc@mandrake.org> 0.20040811-3mdk 
- [DIRM]
- doc added

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040811-2mdk
- Rebuild to correct "headerRead failed: hdr size(16): BAD, read returned 0"

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040811-1mdk
- new version

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040705-1mdk
- New version

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040613-1mdk
- New version

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040503-2mdk
- Fix menu entry

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040503-1mdk
- New version

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.20040420-1mdk
- First package

